%define upstream_name    Forest
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Indexes a Forest::Tree heiarchy by it's UID
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Clone)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Forest is intended to be a replacement for the the Tree::Simple manpage
family of modules, and fixes many of the issues that have always bothered
me about them. It is by no means a complete replacement yet, but should
eventually grow to become that.

For more information please refer to the individual module documentation,
starting with the Forest::Tree manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1027637
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 951487
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 shlomif <shlomif> 0.100.0-1.mga5
+ Revision: 808103
- imported package perl-Forest


* Fri Jan 02 2015 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
